<?php



function atualiza_sped($a_dados=array()){

	$retorno = false;

	if ( $a_dados[id_orpr]>0 && $a_dados[id_nota]>0 ) {

		$campos = array(sped_tx_status,sped_nb_orpr,sped_nb_nota,sped_tx_cfop,
						sped_tx_cstIcms,sped_tx_aliquotaIcms,sped_tx_valorIcms,
						sped_tx_cstPis,sped_tx_aliquotaPis,sped_tx_valorPis,
						sped_tx_cstCofins,sped_tx_aliquotaCofins,sped_tx_valorCofins,
						sped_tx_cstIpi,sped_tx_aliquotaIpi,sped_tx_valorIpi);

		$valores= array('inativo',$a_dados[id_orpr],$a_dados[id_nota],$a_dados[cfop],
						$a_dados[cst_icms],$a_dados[aliquota_icms],$a_dados[valor_icms],
						$a_dados[cst_pis],$a_dados[aliquota_pis],$a_dados[valor_pis],
						$a_dados[cst_cofins],$a_dados[aliquota_cofins],$a_dados[valor_cofins],
						$a_dados[cst_ipi],$a_dados[aliquota_ipi],$a_dados[valor_ipi]);

		$sql_sped = selecionar('sped_nb_id|sped','sped_nb_orpr,sped_nb_nota',"$a_dados[id_orpr],$a_dados[id_nota]"," LIMIT 1 ");
		if ( num_linhas($sql_sped)==0 ) {
			inserir('sped',$campos,$valores,1);
		} else {
			$a_sped = carrega_array($sql_sped);
			atualizar('sped',$campos,$valores,$a_sped[sped_nb_id]);
		}

		$retorno = true;

	} else {
		set_status('ERRO: Código da nota e ou orpr não informado!');
	}

	return $retorno;
}




// ESSA FUNÇÃO ATIVA TODOS OS REGISTROS DE SPED DA NOTA
function ativa_sped($id_nota=0){

	if ( $id_nota>0 ) {
		$sql_sped = selecionar('sped_nb_id|sped','sped_nb_nota',"$id_nota");
		while ( $a_sped = carrega_array($sql_sped) ) {
			atualizar('sped',array(sped_tx_status),array('ativo'),$a_sped[sped_nb_id]);
		}
	}
}




?>